Subject: Re: [bug#31570] [PATCH 0/2] gnu: javacc: Bootstrap from javacc-4 instead of bootstrap binary.

From: Alex Vong <[email-masked]>
Date: Fri, 25 May 2018 08:19:34 +0800

Alex Vong <[email-masked]> writes:

> Ricardo Wurmus <[email-masked]> writes:
>
> [...]
>> Can we delete these things in a snippet instead?
>>
>> (I vaguely remember that we didn’t use snippets for jars because
>> patch-and-repack wouldn’t support the jar format, but I don’t know if
>> that’s still the case.)
>
> Indeed, it fails to build if I switch to use snippet. But I manage to
> fix it by adding java-junit to native-inputs :) (since the error message
> seems to be related to some missing junit symbols). Will send a revised
> patch series later.

I decide to remove the tests instead of adding junit to native-inputs
since we are not running the tests for javacc-4 anyway. Here come the
patch series: